Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.share
Class Logger

All Known Implementing Classes:
  AclOperations, AdminManager, AttributeOperations, BaseApp, BaseMain, BaseTestOperations, BaseTestOperations.TestAction, ClassObjectOperations, ClusteringOperations, CollectionOperations, CommandProcessorOperations, CopyOperations, CopyToIfs, CreateClass, CreateClasses, CursorOperations, DocumentOperations, FolderIndexOperations, FolderOperations, GroupOperations, LinkOperations, LockOperations, MediaOperations, MiscOperations, PropertyBundleOperations, QueueOperations, RandomAccessOperations, RenderingOperations, ResolvedAclOperations, SchemaCategoryOperations, ScriptDriver, ScriptHandler.LocalScriptDriver, ScriptOperations, ScriptRunner, SearchOperations, SecuredByOperations, SystemCategoryOperations, TestSuiteOperations, UserOperations, VerifyMedia, VersioningOperations, ViewOperations

    public interface class Logger

A Logger is an interface defining basic logging functions for use in tools.

Method Summary
`void` | `log()` Writes a blank line to the log.
`void` | `log(java.lang.String message)` Writes a string to the log.
`void` | `printStackTrace(java.lang.Throwable e)` Writes an exception stack trace to the log.

Method Detail

### log

    void log()

  Description copied from interface: `Logger`
  Writes a blank line to the log.

### log

    void log(java.lang.String message)

  Description copied from interface: `Logger`
  Writes a string to the log.

  Parameters:
    `message` - the string to be added to the log

### printStackTrace

    void printStackTrace(java.lang.Throwable e)

  Description copied from interface: `Logger`
  Writes an exception stack trace to the log.

  Parameters:
    `e` - the Throwable to show in the log

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD